com.unitech.lib.types

## Enum EventNotifyId

- java.lang.Object
- - java.lang.Enum<EventNotifyId>
  - - com.unitech.lib.types.EventNotifyId

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<EventNotifyId>

      public enum EventNotifyId
      extends java.lang.Enum<EventNotifyId>
      implements IEnumType

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AntennaBeginEnd`
    `LbtStatus`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()` Get the enum code value
    `java.lang.String` | `toString()` Return the name of the enum
    `static EventNotifyId` | `valueOf(int code)` Returns the EventNotifyId corresponding to the given code.
    `static EventNotifyId` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EventNotifyId` | `valueOfName(java.lang.String name)` Returns the EventNotifyId corresponding to the given name.
    `static EventNotifyId[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AntennaBeginEnd

          public static final EventNotifyId AntennaBeginEnd

    - #### LbtStatus

          public static final EventNotifyId LbtStatus

  - ### Method Detail

    - #### values

          public static EventNotifyId[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EventNotifyId c : EventNotifyId.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EventNotifyId valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Description copied from interface: `IEnumType`
      Get the enum code value
      Specified by:
        `getCode` in interface `IEnumType`
      Returns:
        The code value

    - #### toString

          public java.lang.String toString()

      Description copied from interface: `IEnumType`
      Return the name of the enum
      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<EventNotifyId>`
      Returns:
        The name of the enum

    - #### valueOf

          public static EventNotifyId valueOf(int code)

      Returns the EventNotifyId corresponding to the given code. If no match is found, returns AntennaBeginEnd as default.
      Parameters:
        `code` - the code to match
      Returns:
        the matching EventNotifyId or AntennaBeginEnd if not found

    - #### valueOfName

          public static EventNotifyId valueOfName(java.lang.String name)

      Returns the EventNotifyId corresponding to the given name. If no match is found, returns AntennaBeginEnd as default.
      Parameters:
        `name` - the name to match
      Returns:
        the matching EventNotifyId or AntennaBeginEnd if not found